within BusinessSimulation.UsersGuide;

final class Contact "Contact information and advanced support options"
  extends Modelica.Icons.Contact;
  extends Icons.DocumentationInfo;
  annotation(Documentation(info = "<html>
<p class=\"aside\">This information is part of the Business Simulation&nbsp;Library (BSL). Please support this work and <a href=\"https://www.paypal.com/donate/?hosted_button_id=GXVZT8LD7CFXN\" style=\"font-weight:bold; color:orange; text-decoration:none;\">&#9658;&nbsp;donate</a>.</p>
<p>This page provides contact information for the library's author and lists areas of professional support.</p>
<h4 style=\"color: #000080;\">Principal Author</h4>
<br>
<p><img src=\"modelica://BusinessSimulation/Resources/Images/UsersGuide/Contact/bslFullLogo.png\" alt=\"Business Simulation Library Full Logo\" width=\"400\"></p>
<br>
<table width=\"400\">
  <colgroup>
    <col style=\"width: 20%;\">
    <col style=\"width: 80%;\">
  </colgroup>
<tbody>
<tr>
<td align=\"center\"><img src=\"modelica://BusinessSimulation/Resources/Images/UsersGuide/Contact/icon_person.svg\" alt=\"Name\" title=\"Name\" width=\"28\" height=\"28\"></td>
<td><span style=\"font-size: 12pt; color: #000080;\"><strong>Guido Wolf Reichert</strong></span></td>
</tr>
<tr>
<td align=\"center\"><img src=\"modelica://BusinessSimulation/Resources/Images/UsersGuide/Contact/icon_pin.svg\" alt=\"Address\" title = \"Address\" width=\"32\" height=\"32\"></td>
<td>
<span style=\"font-size: 12pt;\">Schauenburgerstr. 116<br>
24118 Kiel<br>
Germany</span>
</td>
</tr>
<tr>
<td align=\"center\"><img src=\"modelica://BusinessSimulation/Resources/Images/UsersGuide/Contact/icon_phone.svg\" alt=\"Phone\" title = \"Phone\" width=\"28\" height=\"28\"></td>
<td><span style=\"font-size: 12pt;\">+49 431 90898902</span></td>
</tr>
<tr>
<td align=\"center\"><img src=\"modelica://BusinessSimulation/Resources/Images/UsersGuide/Contact/icon_fax.svg\" alt=\"Fax\" title=\"Fax\" width=\"28\" height=\"28\"></td>
<td><span style=\"font-size: 12pt;\">+49 431 90898903</span></td>
</tr>
<tr>
<td align=\"center\"><img src=\"modelica://BusinessSimulation/Resources/Images/UsersGuide/Contact/icon_mail.svg\" alt=\"Email\" title=\"Email\" width=\"28\" height=\"28\"></td>
<td><span style=\"font-size: 12pt;\"><a href=\"mailto:gwr@bsl-support.de\">gwr@bsl-support.de</a></span></td>
</tr>
<tr>
<td align=\"center\"><img src=\"modelica://BusinessSimulation/Resources/Images/UsersGuide/Contact/icon_world.svg\" alt=\"Website\" title = \"Website\" width=\"28\" height=\"28\"></td>
<td><span style=\"font-size: 12pt;\"><a href=\"https://www.bsl-support.de\">www.bsl-support.de</a></span></td>
</tr>
<tr>
<td align=\"center\"><img src=\"modelica://BusinessSimulation/Resources/Images/UsersGuide/Contact/icon_LinkedIn.png\" alt=\"LinkedIn\" title = \"Follow me on LinkedIn\" width=\"28\" height=\"28\"></td>
<td><span style=\"font-size: 12pt;\"><a href=\"https://www.linkedin.com/in/bslmgtsupport\">Follow me on LinkedIn</a></span></td>
</tr>
</tbody>
</table>
<br>
<h4 style=\"color: #000080;\">Advanced Support Options</h4>
<br>
<h5 style=\"color: orange;\">&#9658;&nbsp;Individual Licensing</h5>
<p>If the library suits your needs but you prefer alternatives to copyleft licenses like the EUPL-1.2, please contact us. We're open to discussing licensing options that better meet your requirements.</p>
<h5 style=\"color: orange;\">&#9658;&nbsp;Modeling and Consulting Services</h5>
<p>Component-based modeling simplifies building models, yet creating and utilizing dynamic models for decision support demands expertise and experience. BSL MANAGEMENT SUPPORT is ready to offer consulting and modeling support, helping you leverage modeling for more effective decision-making in your business case.</p>
<h5 style=\"color: orange;\">&#9658;&nbsp;Training Services</h5>
<p>Developing simulation skills within your organization equips it to tackle today's complex challenges effectively. We offer customized training tailored to your needs, focusing on maximizing the benefits of using the BSL, Modelica, and integrating system modeling with advanced analytical tools and languages like the Wolfram Language.</p>
<br>
<h4 style=\"color: #000080;\">Error Reporting and Suggestions</h4>
<p>Errors will be tracked on the library's <a href = \"https://github.com/bslMS/BusinessSimulation\">public GitHub repository</a>. You may use the &rarr;<a href=\"https://github.com/bslMS/BusinessSimulation/issues\" style=\"font-weight:bold;\">New issues</a> button on GitHub to report errors or feature suggestions. Please clearly indicate which library version and Modelica platform you are using.</p>
<br>
<h4 style=\"color: #000080;\">Join Our Community Discussions</h4>
<p>As the principal author and maintainer of the Business Simulation Library, my goal is to create a vibrant community where users can share knowledge, solve problems, and contribute to enhancing the library. While some platforms are already buzzing with activity, others are just starting to grow. Your voice can help shape these discussions and I ask you to join me:</p>
<ul>
<li><a href=\"https://github.com/bslMS/BusinessSimulation/discussions\" style=\"color: #000080; font-weight: bold;\">GitHub Discussions</a> Although the GitHub discussion board is in its early stages, I encourage you to be among the first to start a conversation. It’s a space where I aim to provide technical support, explore feature requests, and welcome your contributions. Whether you have questions, ideas, or feedback, your input is invaluable as we build this community together.</li><br>
<li><a href=\"https://community.wolfram.com\" style=\"color: #000080; font-weight: bold;\">Wolfram Community</a> Integrating BSL with Wolfram technologies? Then Wolfram Community is a great place to be and discuss with other users of Wolfram System Modeler and the Wolfram Language.</li><br>
<li>For practical how-to questions and troubleshooting, <a href=\"https://mathematica.stackexchange.com/questions/tagged/system-modeler\" style=\"color: #000080; font-weight: bold;\">Mathematica Stack Exchange</a> (for System Modeler and Wolfram Language related questions) and <a href=\"https://stackoverflow.com/questions/tagged/modelica\" style=\"color: #000080; font-weight: bold;\">Stack Overflow</a> (for Modelica related questions) are fantastic resources. Additionally, you can ping me \"@gwr\" there—I'm happy to help out.</li>
</ul>
<p>Your contributions, questions, and feedback not only help improve BSL but also support a vibrant community of users. Looking forward to our discussions!</p>
<br>
<hr>
<p>Copyright &copy; 2020 Guido Wolf Reichert<br>Licensed under the <a href=\"modelica://BusinessSimulation.UsersGuide.Licence\">EUPL-1.2</a>&nbsp;or later</p>
</html>"), Diagram(coordinateSystem(extent = {{-150, -90}, {150, 90}}, preserveAspectRatio = true, initialScale = 0.1, grid = {5, 5})), Icon(coordinateSystem(preserveAspectRatio = false, extent = {{-100, -100}, {100, 100}}, initialScale = 0.1, grid = {10, 10})));
end Contact;
