within BusinessSimulation.UsersGuide;

final class References "Bibliography"
  extends Modelica.Icons.References;
  extends Icons.DocumentationInfo;
  annotation(Documentation(info = "<html>
<p class=\"aside\">This information is part of the Business Simulation&nbsp;Library (BSL). Please support this work and <a href=\"https://www.paypal.com/donate/?hosted_button_id=GXVZT8LD7CFXN\" style=\"font-weight:bold; color:orange; text-decoration:none;\">&#9658;&nbsp;donate</a>.</p>
<table>
<tbody>
<tr>
<td>[1]</td>
<td>
<p>J.W. Forrester, \"Industrial dynamics: a major breakthrough for decision makers,\" <em>Harvard Business Review</em>, vol. 36, no. 4, pp. 37-66, 1958.</p>
</td>
</tr>
<tr>
<td>[2]</td>
<td>
<p>J.W. Forrester,<em> Industrial Dynamics</em>, Cambridge, MA, USA: M.I.T. Press, 1961.</p>
</td>
</tr>
<tr>
<td>[3]</td>
<td>J.D. Sterman, <em>Business Dynamics: Systems Thinking and Modeling for a Complex World</em>. Boston, MA, USA:&nbsp;&nbsp;McGraw-Hill Higher Education, 2000.</td>
</tr>
<tr>
<td>[4]</td>
<td>K. Saeed and A.A. Irdamidiris, \"Continuous non-linear functions for use in system dynamics modeling,\" <em>DYNAMICA</em>, vol. 10, no. 1, pp. 16-23, Summer 1984. Available:&nbsp;<a href=\"https://systemdynamics.org/wp-content/uploads/assets/dynamica/volume-10/10-1/6.pdf\">https://systemdynamics.org/wp-content/uploads/assets/dynamica/volume-10/10-1/6.pdf</a></td>
</tr>
<tr>
<td>[5]</td>
<td>F.M. Bass, \"A new product growth for model consumer durables,\" <em>Management Science</em>, vol. 15, no. 5, pp. 215-227, Jan. 1969.&nbsp;</td>
</tr>
<tr>
<td>[6]</td>
<td>
<p>J. Hines,<em> Molecules of Structure: Building Blocks for System Dynamics Models Version 2.03</em> (2015). Available:&nbsp;<a href = \"https://systemdynamics.org/wp-content/uploads/2021/02/MOLEC2_03.pdf\">https://systemdynamics.org/wp-content/uploads/2021/02/MOLEC2_03.pdf</a></p>
</td>
</tr>
<tr>
<td>[7]</td>
<td>
<p>J.D.W. Morecroft, &ldquo;A critical review of diagramming tools for conceptualizing feedback system models,&rdquo; <em>DYNAMICA</em>, vol. 8, no. 1, pp. 20&ndash;29, Summer 1982. Available: <a href=\"https://systemdynamics.org/wp-content/uploads/assets/dynamica/volume-8/8-1/5.pdf\">https://systemdynamics.org/wp-content/uploads/assets/dynamica/volume-8/8-1/5.pdf</a></p>
</td>
</tr>
<tr>
<td>[8]</td>
<td>
<p>B. Richmond, <em>An Introduction to Systems Thinking</em>, Lebanon, NH, USA: isee systems, 2004.</p>
</td>
</tr>
<tr>
<td>[9]</td>
<td>
<p>A. Ford, <em>Modeling the Environment</em>, 2nd ed. Washington, DC, USA: Island Press, 2010.</p>
</td>
</tr>
<tr>
<td>[10]</td>
<td>
<p>H. Bossel, <em>Systems and Models: Complexity, Dynamics, Evolution, Sustainability</em>. Norderstedt, Germany: Books on Demand, 2007.</p>
</td>
</tr>
<tr>
<td>[11]</td>
<td>
<p>H. Bossel, <em>System Zoo 1 Simulation Models: Elementary Systems, Physics, Engineering</em>. Norderstedt, Germany: Books on Demand, 2007.</p>
</td>
</tr>
<tr>
<td>[12]</td>
<td>
<p>H. Bossel, <em>System Zoo 2 Simulation Models: Climate, Ecosystems, Resources</em>. Norderstedt, Germany: Books on Demand, 2007.</p>
</td>
</tr>
<tr>
<td>[13]</td>
<td>
<p>H. Bossel, <em>System Zoo 3&nbsp;Simulation Models: Economy, Society, Development</em>. Norderstedt, Germany: Books on Demand, 2007.</p>
</td>
</tr>
<tr>
<td>[14]</td>
<td>
<p>R.G. Coyle, <em>System Dynamics Modelling: A Practical Approach</em>, 1st ed. London, UK: Chapman &amp; Hall, 1996.</p>
</td>
</tr>
<tr>
<td>[15]</td>
<td>
<p>K. Warren, <em>Strategic Management Dynamics</em>. Chichester, UK: John Wiley &amp; Sons, 2008.</p>
</td>
</tr>
<tr>
<td>[16]</td>
<td>
<p>M.J. Radzicki, &ldquo;Dyadic processes, tempestous relationsships, and system dynamics,&rdquo; <em>System Dynamics Review</em>, vol. 9, no. 1, pp. 79&ndash;94, 1993.</p>
</td>
</tr>
<tr>
<td>[17]</td>
<td>
<p>F. Hoppenstedt, &ldquo;Predator-prey model,&rdquo; <em>Scholarpedia</em>, vol. 1, p. 1523, 2006. Available:&nbsp;<a href=\"http://www.scholarpedia.org/article/Predator-prey_model\">http://www.scholarpedia.org/article/Predator-prey_model</a></p>
</td>
</tr>
<tr>
<td>[18]</td>
<td>
<p>P. Junglas, <em>Praxis der Simulationstechnik - Eine Einf&uuml;hrung in signal- und objektorientierte Methoden</em>, 1st ed. Haan-Gruiten: Verl. Europa-Lehrmittel, 2014.</p>
</td>
</tr>
<tr>
<td>[19]</td>
<td>
<p>A. Janoschek, &ldquo;Das reaktionskinetische Grundgesetz und seine Beziehungen zum Wachstums-und Ertragsgesetz,&rdquo; <em>Statistische Vierteljahresschrift</em>, vol. 10, pp. 25&ndash;37, 1957.</p>
</td>
</tr>
<tr>
<td>[20]</td>
<td>
<p>D.N. Ford, \"A system dynamics glossary,\" <em>System Dynamics Review</em>, vol. 35, no. 4, pp. 369&ndash;379, 2019. Available: <a href=\"https://onlinelibrary.wiley.com/doi/epdf/10.1002/sdr.1641\">https://onlinelibrary.wiley.com/doi/epdf/10.1002/sdr.1641</a></p>
</td>
</tr>
<tr>
<td>[21]</td>
<td>
<p>United Nations,<em> System of environmental-economic accounting 2012: Central framework</em>. New York, 2014.</p>
</td>
</tr>
<tr>
<td>[22]</td>
<td>
<p>H. Bossel, <em>Indicators for sustainable development: Theory, method, applications</em>; a report to the Balaton group. Winnipeg: IISD, 1999. Available:&nbsp;<a href=\"https://www.iisd.org/system/files/publications/balatonreport.pdf\">https://www.iisd.org/system/files/publications/balatonreport.pdf</a></p>
</td>
</tr>
<tr>
<td>[23]</td>
<td>
<p>W.O. Kermack and A.G. McKendrick, \"A contribution to the mathematical theory of epidemics,\" <em>Proceedings of the royal society of london. Series A, Containing papers of a mathematical and physical character</em>, vol. 115, no. 772, pp. 700-721, 1927.</p>
</td>
</tr>
<tr>
<td>[24]</td>
<td>
<p>E.J.A. van Zijderveld, \"MARVEL: Principles of a method for semi-qualitative system behaviour and policy analysis,\" <em>Proceedings of the 25th International Conference of the System Dynamics Society and 50th Anniversary Celebration</em>, 2007. Available:&nbsp;<a href=\"https://proceedings.systemdynamics.org/2007/proceed/papers/VAN%20Z213.pdf\">https://proceedings.systemdynamics.org/2007/proceed/papers/VAN%20Z213.pdf</a></p>
</td>
</tr>
<tr>
<td>[25]</td>
<td>
<p>H. Bossel, <em>Systeme, Dynamik, Simulation: Modellbildung Analyse und Simulation komplexer Systeme</em>. Norderstedt, Germany: Books on Demand, 2004.</p>
</td>
</tr>
<tr>
<td>[26]</td>
<td>
<p>W.H. Press, S.A. Teukolsky, W.T. Vetterling, and B.P. Flannery, <em>Numerical recipes: The art of scientific computing</em>, 3rd ed. New York, NY, USA: Cambridge Univ. Press, 2007.</p>
</td>
</tr>
<tr>
<td>[27]</td>
<td>
<p>A. Louwen and J. Subtil Lacerda, \"The experience curve: concept, history, methods, and issues,\" in <em>Technological Learning in the Transition to a Low-Carbon Energy System: Conceptual Issues, Empirical Findings, and Use</em>, in Energy Modeling, M. Junginger and A. Louwen, Eds., Cambridge, MA, USA: Academic Press, 2020, pp. 9-31.</p>
</td>
</tr>
<tr>
<td>[28]</td>
<td>
<p>G.W. Reichert, \"Hierarchical, Component-Based Modeling Using the Cyber-Physical Modeling Language Modelica,\" <em>Conference Record of the 2022 System Dynamics Conference</em>, Frankfurt, Germany, 2022. Available:&nbsp;<a href = \"https://proceedings.systemdynamics.org/2022/papers/P1332.pdf\">https://proceedings.systemdynamics.org/2022/papers/P1332.pdf</a></p>
</td>
</tr>
<tr>
<td>[29]</td>
<td>
<p>D. Flater, \"Architecture for software-assisted quantity calculus,\" <em>National Institute of Standards and Technology</em>, Dec. 2016. Available:&nbsp;<a href = \"https://nvlpubs.nist.gov/nistpubs/TechnicalNotes/NIST.TN.1943.pdf\">doi:10.6028/nist.tn.1943</a></p>
</td>
</tr>
</tbody>
</table>
<br>
<hr>
<p>Copyright &copy; 2020 Guido Wolf Reichert<br>Licensed under the <a href=\"modelica://BusinessSimulation.UsersGuide.Licence\">EUPL-1.2</a>&nbsp;or later</p>
</html>
</html>"), Diagram(coordinateSystem(extent = {{-150, -90}, {150, 90}}, preserveAspectRatio = true, initialScale = 0.1, grid = {5, 5})), Icon(coordinateSystem(preserveAspectRatio = false, extent = {{-100, -100}, {100, 100}}, initialScale = 0.1, grid = {10, 10})));
end References;
