within BusinessSimulation.UsersGuide;

class Licence "European Union Public Licence v. 1.2 (EUPL-1.2)"
  extends Icons.Info;
  extends Icons.DocumentationInfo;
  annotation(Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10, 10})), Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10, 10})), Documentation(info = "<html>
<h4 style=\"padding-left: 60px;\">EUROPEAN UNION PUBLIC LICENCE v. 1.2</h4>
<p>&nbsp;</p>
<pre>EUPL &copy; the European Union 2007, 2016<br><br>This European Union Public Licence (the &lsquo;EUPL&rsquo;) applies to the Work (as defined<br>below) which is provided under the terms of this Licence. Any use of the Work,<br>other than as authorised under this Licence is prohibited (to the extent such<br>use is covered by a right of the copyright holder of the Work).<br><br>The Work is provided under the terms of this Licence when the Licensor (as<br>defined below) has placed the following notice immediately following the<br>copyright notice for the Work:<br><br>        Licensed under the EUPL<br><br>or has expressed by any other means his willingness to license under the EUPL.<br><br>1. Definitions<br><br>In this Licence, the following terms have the following meaning:<br><br>- &lsquo;The Licence&rsquo;: this Licence.<br><br>- &lsquo;The Original Work&rsquo;: the work or software distributed or communicated by the<br>  Licensor under this Licence, available as Source Code and also as Executable<br>  Code as the case may be.<br><br>- &lsquo;Derivative Works&rsquo;: the works or software that could be created by the<br>  Licensee, based upon the Original Work or modifications thereof. This Licence<br>  does not define the extent of modification or dependence on the Original Work<br>  required in order to classify a work as a Derivative Work; this extent is<br>  determined by copyright law applicable in the country mentioned in Article 15.<br><br>- &lsquo;The Work&rsquo;: the Original Work or its Derivative Works.<br><br>- &lsquo;The Source Code&rsquo;: the human-readable form of the Work which is the most<br>  convenient for people to study and modify.<br><br>- &lsquo;The Executable Code&rsquo;: any code which has generally been compiled and which is<br>  meant to be interpreted by a computer as a program.<br><br>- &lsquo;The Licensor&rsquo;: the natural or legal person that distributes or communicates<br>  the Work under the Licence.<br><br>- &lsquo;Contributor(s)&rsquo;: any natural or legal person who modifies the Work under the<br>  Licence, or otherwise contributes to the creation of a Derivative Work.<br><br>- &lsquo;The Licensee&rsquo; or &lsquo;You&rsquo;: any natural or legal person who makes any usage of<br>  the Work under the terms of the Licence.<br><br>- &lsquo;Distribution&rsquo; or &lsquo;Communication&rsquo;: any act of selling, giving, lending,<br>  renting, distributing, communicating, transmitting, or otherwise making<br>  available, online or offline, copies of the Work or providing access to its<br>  essential functionalities at the disposal of any other natural or legal<br>  person.<br><br>2. Scope of the rights granted by the Licence<br><br>The Licensor hereby grants You a worldwide, royalty-free, non-exclusive,<br>sublicensable licence to do the following, for the duration of copyright vested<br>in the Original Work:<br><br>- use the Work in any circumstance and for all usage,<br>- reproduce the Work,<br>- modify the Work, and make Derivative Works based upon the Work,<br>- communicate to the public, including the right to make available or display<br>  the Work or copies thereof to the public and perform publicly, as the case may<br>  be, the Work,<br>- distribute the Work or copies thereof,<br>- lend and rent the Work or copies thereof,<br>- sublicense rights in the Work or copies thereof.<br><br>Those rights can be exercised on any media, supports and formats, whether now<br>known or later invented, as far as the applicable law permits so.<br><br>In the countries where moral rights apply, the Licensor waives his right to<br>exercise his moral right to the extent allowed by law in order to make effective<br>the licence of the economic rights here above listed.<br><br>The Licensor grants to the Licensee royalty-free, non-exclusive usage rights to<br>any patents held by the Licensor, to the extent necessary to make use of the<br>rights granted on the Work under this Licence.<br><br>3. Communication of the Source Code<br><br>The Licensor may provide the Work either in its Source Code form, or as<br>Executable Code. If the Work is provided as Executable Code, the Licensor<br>provides in addition a machine-readable copy of the Source Code of the Work<br>along with each copy of the Work that the Licensor distributes or indicates, in<br>a notice following the copyright notice attached to the Work, a repository where<br>the Source Code is easily and freely accessible for as long as the Licensor<br>continues to distribute or communicate the Work.<br><br>4. Limitations on copyright<br><br>Nothing in this Licence is intended to deprive the Licensee of the benefits from<br>any exception or limitation to the exclusive rights of the rights owners in the<br>Work, of the exhaustion of those rights or of other applicable limitations<br>thereto.<br><br>5. Obligations of the Licensee<br><br>The grant of the rights mentioned above is subject to some restrictions and<br>obligations imposed on the Licensee. Those obligations are the following:<br><br>Attribution right: The Licensee shall keep intact all copyright, patent or<br>trademarks notices and all notices that refer to the Licence and to the<br>disclaimer of warranties. The Licensee must include a copy of such notices and a<br>copy of the Licence with every copy of the Work he/she distributes or<br>communicates. The Licensee must cause any Derivative Work to carry prominent<br>notices stating that the Work has been modified and the date of modification.<br><br>Copyleft clause: If the Licensee distributes or communicates copies of the<br>Original Works or Derivative Works, this Distribution or Communication will be<br>done under the terms of this Licence or of a later version of this Licence<br>unless the Original Work is expressly distributed only under this version of the<br>Licence &mdash; for example by communicating &lsquo;EUPL v. 1.2 only&rsquo;. The Licensee<br>(becoming Licensor) cannot offer or impose any additional terms or conditions on<br>the Work or Derivative Work that alter or restrict the terms of the Licence.<br><br>Compatibility clause: If the Licensee Distributes or Communicates Derivative<br>Works or copies thereof based upon both the Work and another work licensed under<br>a Compatible Licence, this Distribution or Communication can be done under the<br>terms of this Compatible Licence. For the sake of this clause, &lsquo;Compatible<br>Licence&rsquo; refers to the licences listed in the appendix attached to this Licence.<br>Should the Licensee's obligations under the Compatible Licence conflict with<br>his/her obligations under this Licence, the obligations of the Compatible<br>Licence shall prevail.<br><br>Provision of Source Code: When distributing or communicating copies of the Work,<br>the Licensee will provide a machine-readable copy of the Source Code or indicate<br>a repository where this Source will be easily and freely available for as long<br>as the Licensee continues to distribute or communicate the Work.<br><br>Legal Protection: This Licence does not grant permission to use the trade names,<br>trademarks, service marks, or names of the Licensor, except as required for<br>reasonable and customary use in describing the origin of the Work and<br>reproducing the content of the copyright notice.<br><br>6. Chain of Authorship<br><br>The original Licensor warrants that the copyright in the Original Work granted<br>hereunder is owned by him/her or licensed to him/her and that he/she has the<br>power and authority to grant the Licence.<br><br>Each Contributor warrants that the copyright in the modifications he/she brings<br>to the Work are owned by him/her or licensed to him/her and that he/she has the<br>power and authority to grant the Licence.<br><br>Each time You accept the Licence, the original Licensor and subsequent<br>Contributors grant You a licence to their contributions to the Work, under the<br>terms of this Licence.<br><br>7. Disclaimer of Warranty<br><br>The Work is a work in progress, which is continuously improved by numerous<br>Contributors. It is not a finished work and may therefore contain defects or<br>&lsquo;bugs&rsquo; inherent to this type of development.<br><br>For the above reason, the Work is provided under the Licence on an &lsquo;as is&rsquo; basis<br>and without warranties of any kind concerning the Work, including without<br>limitation merchantability, fitness for a particular purpose, absence of defects<br>or errors, accuracy, non-infringement of intellectual property rights other than<br>copyright as stated in Article 6 of this Licence.<br><br>This disclaimer of warranty is an essential part of the Licence and a condition<br>for the grant of any rights to the Work.<br><br>8. Disclaimer of Liability<br><br>Except in the cases of wilful misconduct or damages directly caused to natural<br>persons, the Licensor will in no event be liable for any direct or indirect,<br>material or moral, damages of any kind, arising out of the Licence or of the use<br>of the Work, including without limitation, damages for loss of goodwill, work<br>stoppage, computer failure or malfunction, loss of data or any commercial<br>damage, even if the Licensor has been advised of the possibility of such damage.<br>However, the Licensor will be liable under statutory product liability laws as<br>far such laws apply to the Work.<br><br>9. Additional agreements<br><br>While distributing the Work, You may choose to conclude an additional agreement,<br>defining obligations or services consistent with this Licence. However, if<br>accepting obligations, You may act only on your own behalf and on your sole<br>responsibility, not on behalf of the original Licensor or any other Contributor,<br>and only if You agree to indemnify, defend, and hold each Contributor harmless<br>for any liability incurred by, or claims asserted against such Contributor by<br>the fact You have accepted any warranty or additional liability.<br><br>10. Acceptance of the Licence<br><br>The provisions of this Licence can be accepted by clicking on an icon &lsquo;I agree&rsquo;<br>placed under the bottom of a window displaying the text of this Licence or by<br>affirming consent in any other similar way, in accordance with the rules of<br>applicable law. Clicking on that icon indicates your clear and irrevocable<br>acceptance of this Licence and all of its terms and conditions.<br><br>Similarly, you irrevocably accept this Licence and all of its terms and<br>conditions by exercising any rights granted to You by Article 2 of this Licence,<br>such as the use of the Work, the creation by You of a Derivative Work or the<br>Distribution or Communication by You of the Work or copies thereof.<br><br>11. Information to the public<br><br>In case of any Distribution or Communication of the Work by means of electronic<br>communication by You (for example, by offering to download the Work from a<br>remote location) the distribution channel or media (for example, a website) must<br>at least provide to the public the information requested by the applicable law<br>regarding the Licensor, the Licence and the way it may be accessible, concluded,<br>stored and reproduced by the Licensee.<br><br>12. Termination of the Licence<br><br>The Licence and the rights granted hereunder will terminate automatically upon<br>any breach by the Licensee of the terms of the Licence.<br><br>Such a termination will not terminate the licences of any person who has<br>received the Work from the Licensee under the Licence, provided such persons<br>remain in full compliance with the Licence.<br><br>13. Miscellaneous<br><br>Without prejudice of Article 9 above, the Licence represents the complete<br>agreement between the Parties as to the Work.<br><br>If any provision of the Licence is invalid or unenforceable under applicable<br>law, this will not affect the validity or enforceability of the Licence as a<br>whole. Such provision will be construed or reformed so as necessary to make it<br>valid and enforceable.<br><br>The European Commission may publish other linguistic versions or new versions of<br>this Licence or updated versions of the Appendix, so far this is required and<br>reasonable, without reducing the scope of the rights granted by the Licence. New<br>versions of the Licence will be published with a unique version number.<br><br>All linguistic versions of this Licence, approved by the European Commission,<br>have identical value. Parties can take advantage of the linguistic version of<br>their choice.<br><br>14. Jurisdiction<br><br>Without prejudice to specific agreement between parties,<br><br>- any litigation resulting from the interpretation of this License, arising<br>  between the European Union institutions, bodies, offices or agencies, as a<br>  Licensor, and any Licensee, will be subject to the jurisdiction of the Court<br>  of Justice of the European Union, as laid down in article 272 of the Treaty on<br>  the Functioning of the European Union,<br><br>- any litigation arising between other parties and resulting from the<br>  interpretation of this License, will be subject to the exclusive jurisdiction<br>  of the competent court where the Licensor resides or conducts its primary<br>  business.<br><br>15. Applicable Law<br><br>Without prejudice to specific agreement between parties,<br><br>- this Licence shall be governed by the law of the European Union Member State<br>  where the Licensor has his seat, resides or has his registered office,<br><br>- this licence shall be governed by Belgian law if the Licensor has no seat,<br>  residence or registered office inside a European Union Member State.<br><br>Appendix<br><br>&lsquo;Compatible Licences&rsquo; according to Article 5 EUPL are:<br><br>- GNU General Public License (GPL) v. 2, v. 3<br>- GNU Affero General Public License (AGPL) v. 3<br>- Open Software License (OSL) v. 2.1, v. 3.0<br>- Eclipse Public License (EPL) v. 1.0<br>- CeCILL v. 2.0, v. 2.1<br>- Mozilla Public Licence (MPL) v. 2<br>- GNU Lesser General Public Licence (LGPL) v. 2.1, v. 3<br>- Creative Commons Attribution-ShareAlike v. 3.0 Unported (CC BY-SA 3.0) for<br>  works other than software<br>- European Union Public Licence (EUPL) v. 1.1, v. 1.2<br>- Qu&eacute;bec Free and Open-Source Licence &mdash; Reciprocity (LiLiQ-R) or Strong<br>  Reciprocity (LiLiQ-R+).<br><br>The European Commission may update this Appendix to later versions of the above<br>licences without producing a new version of the EUPL, as long as they provide<br>the rights granted in Article 2 of this Licence and protect the covered Source<br>Code from exclusive appropriation.<br><br>All other changes or additions to this Appendix require the production of a new<br>EUPL version.</pre>
</html>"));
end Licence;
